
/* DEFS: group RecBisectBfLB: CentralLB{
void RecBisectBfLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_RecBisectBfLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_RecBisectBfLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void RecBisectBfLB(void);
*/
      __idx_RecBisectBfLB_void = CkRegisterEp("RecBisectBfLB", (CkCallFnPtr)_call_RecBisectBfLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void RecBisectBfLB(void);
 */
int CProxy_RecBisectBfLB::__idx_RecBisectBfLB_void=0;
CkGroupID CProxy_RecBisectBfLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_RecBisectBfLB_void, msg, 0, 0);
}
CkGroupID CProxy_RecBisectBfLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_RecBisectBfLB_void, msg);
}
  CProxy_RecBisectBfLB::CProxy_RecBisectBfLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RecBisectBfLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_RecBisectBfLB::CProxy_RecBisectBfLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RecBisectBfLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_RecBisectBfLB::_call_RecBisectBfLB_void(void* msg, RecBisectBfLB* obj)
{
  new (obj) RecBisectBfLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerRecBisectBfLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group RecBisectBfLB: CentralLB{
void RecBisectBfLB(void);
};
*/
  CProxy_RecBisectBfLB::__register("RecBisectBfLB", sizeof(RecBisectBfLB));

}
#endif
